<?php
/**
 * pragmaMx - Sitebanner Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 *
 * this module based on: Sitebanner Module
 * author RtR - MvW-WebWare - Solutions, http://www.von-waechter.eu/
 */

defined('mxMainFileLoaded') or die('access denied');

$module_name = basename(__DIR__);
mxGetLangfile($module_name);
pmxBase::set("plugins",0);
$samples = array('sampl1.png', 'sampl2.jpg','sampl3.gif','sampl4.png');
$endings = array('gif', 'png', 'jpg', 'jpeg');
$onlysamples = true;

foreach ((array)glob(__DIR__ . '/images/*') as $filepath) {
    $pathinfo = pathinfo($filepath);
    switch (true) {
        case !isset($pathinfo['extension']):
        case !in_array(strtolower($pathinfo['extension']), $endings):
            break;
        case !in_array($pathinfo['basename'], $samples):
            $onlysamples = false;
            // kein break
        default:
            $filelist[$pathinfo['basename']] = $pathinfo;
    }
}

$pagetitle = _MYBANNER01;

include("header.php");

title(_MYBANNER04);
OpenTable();
echo _MYBANNER05 . ".<br />" . _MYBANNER06 . " " . PMX_HOME_URL . _MYBANNER07 . ". <br />" . _MYBANNER08 . "!";
CloseTable();
echo "<br /> ";

$bannernummer = 0;
foreach ($filelist as $banner => $pathinfo) {
    if (!$onlysamples && in_array($banner, $samples)) {
        /* Beispielbilder nicht anzeigen, wenn bereits eigene Bilder vorhanden sind */
        continue;
    }
    $bannernummer++;
    $bannerdim = getimagesize($pathinfo['dirname'] . DS . $banner);
    //mxDebugFuncVars($banner,$bannerdim);
    $bannerimage = PMX_HOME_URL . "/modules/$module_name/images/$banner";

    $img = '
    <a href="' . PMX_HOME_URL . '/" target="_blank">
    <img src="' . $bannerimage . '" ' . $bannerdim[3] . ' border="0" alt="' . $slogan . '" />
    </a>
    ';


    $code = '
    <!-- start ' . $sitename . ' link -->
    <div style="text-align: center;">' . $img . '</div>
    <!-- end ' . $sitename . ' link -->
    ';
    $code = trim(preg_replace('#\s+#', ' ', $code));

    OpenTable();
    echo '<h3>' . _MYBANNER09 . ' ' . $bannernummer . ' (' . $bannerdim[0] . ' * ' . $bannerdim[1] . ' ' . _MYBANNER10 . '):</h3><br /> '
     . '<div align="center">' . $img . '</div><br /> '
     . '<div align="center">' . _MYBANNER11 . ' ' . $bannernummer . ': <br /> '
     . '<textarea cols="80" rows="8" class="code">' . htmlentities($code) . '</textarea> '
     . '<br />' . _MYBANNER12 . ' ' . _MYBANNER13 . '</div> ';
    CloseTable();
    echo "<br /> ";
}

/* Textbanner */
$code = '
<!-- start ' . $sitename . ' link -->
<div style="text-align: center;">
[ ' . _MYBANNER21 . ': <a href="' . PMX_HOME_URL . '/" target="_blank" title="' . $slogan . '">' . $sitename . '</a> ]
</div>
<!-- end ' . $sitename . ' link -->
';

OpenTable();
echo '<br /><h3>' . _MYBANNER20 . ':</h3><br /> '
 . '<div align="center">' . $code . '</div><br /> '
 . '<div align="center">' . _MYBANNER19 . ': <br /> '
 . '<textarea cols="80" rows="7" class="code">' . htmlentities($code) . '</textarea> '
 . '<br />' . _MYBANNER12 . ' ' . _MYBANNER13 . '</div>';
CloseTable();
echo '<br /> ';

OpenTable();
echo _MYBANNER14 . '!<br />' . _MYBANNER15;
if (mxModuleAllowed('Feedback')) {
    echo ' <a href="modules.php?name=Feedback">' . _MYBANNER16 ;
} else {
    echo ' <a href="mailto:' . mxPrepareToDisplay($adminmail) . '">' . _MYBANNER17;
}
echo '</a> ' . _MYBANNER18 . '! ';
CloseTable();
include('footer.php');

?>